Summary: the language processing filter to convert Kanji characters to Hiragana, Katakana or Romaji
Name: kakasi
Version: 2.3.6
Release: 6%{?dist}
License: GPLv2+
Group: Applications/Text
URL: http://kakasi.namazu.org/
Source0: http://kakasi.namazu.org/stable/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
KAKASI is the language processing filter to convert Kanji characters
to Hiragana, Katakana or Romaji(1) and may be helpful to read Japanese
documents.

(1) "Romaji" is alphabetical description of Japanese pronunciation.

%package devel
Summary: KAKASI development package
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
KAKASI development package.

%prep
%setup -q

%build
%configure
make %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/libkakasi.{a,la}

%check
make check

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS ONEWS README* THANKS TODO
%doc doc/JISYO doc/README.lib doc/README.level doc/README.wakati doc/ChangeLog.lib
%{_bindir}/atoc_conv
%{_bindir}/kakasi
%{_bindir}/kakasi-config
%{_bindir}/mkkanwa
%{_bindir}/rdic_conv
%{_bindir}/wx2_conv
%{_libdir}/libkakasi.so.2
%{_libdir}/libkakasi.so.2.*
%dir %{_datadir}/kakasi
%{_datadir}/kakasi/itaijidict
%{_datadir}/kakasi/kanwadict
%{_mandir}/man1/kakasi.1*
%{_mandir}/man1/kakasi-config.1*

%files devel
%{_includedir}/libkakasi.h
%{_libdir}/libkakasi.so

%changelog
* Sat Mar 24 2018 IWAI, Masaharu <iwaim.sub@gmail.com> - 2.3.6-1
- Initial build.
